Bug 1380323 (CVE-2016-7563, CVE-2016-7564) - CVE-2016-7563 CVE-2016-7564 mujs: Multiple issues fixed in latest version
Summary: CVE-2016-7563 CVE-2016-7564 mujs: Multiple issues fixed in latest version
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7563, CVE-2016-7564
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1380324
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-29 09:52 UTC by Andrej Nemec
Modified: 2019-09-29 13:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 09:43:04 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-09-29 09:52:17 UTC
1. CVE-2016-7563

mujs str Out-of-Bound read 1 byte in function chartorune.
http://bugs.ghostscript.com/show_bug.cgi?id=697136

2. CVE-2016-7564

mujs "char *s" Heap overflow in Fp_toString at jsfunction.c:72
http://bugs.ghostscript.com/show_bug.cgi?id=697137

Comment 1 Andrej Nemec 2016-09-29 09:52:40 UTC
Created mujs tracking bugs for this issue:

Affects: fedora-all [bug 1380324]


Note You need to log in before you can comment on or make changes to this bug.